#!/bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/AUTOHALT_CHOOSE_USER_CUI.sh
# - script dialog for ece to choose a user out of all known users
#
# Creation:     2008-03-09 starwarsfan
# Last update:  $Id: AUTOHALT_CHOOSE_USER_CUI.sh 14232 2009-01-23 11:30:00Z christian $
#
# Copyright (c) 2001-2008 the eisfair team, team(at)eisfair(dot)org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
    win="$p2"

	# ------------------------------------------
	# Create a comma separated list of all users
	separator=''
	sellist=''
	for actualUser in `cat /etc/passwd | cut -d ":" -f1`
	do
	    sellist="${sellist}${separator}${actualUser}"
	    separator=','
	done

    ece_select_list_dlg "$win" "Select a user" "$sellist"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0